

define service {
	service_description		nrpe_eis202lb-router1-lb-servernet-1
	use				Networking service
	host_name			csgcas104w, sdp100w, csglync221w, csglync229w
	check_command			check_alive_through_nsclient!10.6.61.2
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router1-lb-servernet-1
	use				Networking service
	host_name			csgcas104w, sdp100w, csglync221w, csglync229w
	check_command			check_alive_through_nsclient!10.6.61.3
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-1-lb-servernet-1
	use				Networking service
	host_name			csgcas104w, sdp100w, csglync221w, csglync229w
	check_command			check_alive_through_nsclient!10.6.61.1
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router1-lb-servernet-2
	use				Networking service
	host_name			cisdrroxen101l, cisdrroxen204l, iamroxen301l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis202lb-router1-lb-servernet-2.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router1-lb-servernet-2
	use				Networking service
	host_name			cisdrroxen101l, cisdrroxen204l, iamroxen301l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis203lb-router1-lb-servernet-2.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-1-lb-servernet-2
	use				Networking service
	host_name			cisdrroxen101l, cisdrroxen204l, iamroxen301l
	check_command			through_nrpe!$HOSTNAME$!check_ping!lb-prod-float-1-lb-servernet-2.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router-fw-lb-servernet-3
	use				Networking service
	host_name			csgkaltura300l, iamxythos100l, reg102l, sdp201w
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis202lb-router-fw-lb-servernet-3.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router-fw-lb-servernet-3
	use				Networking service
	host_name			csgkaltura300l, iamxythos100l, reg102l, sdp201w
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis203lb-router-fw-lb-servernet-3.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-fw-lb-servernet-3
	use				Networking service
	host_name			csgkaltura300l, iamxythos100l, reg102l, sdp201w
	check_command			through_nrpe!$HOSTNAME$!check_ping!lb-prod-float-fw-lb-servernet-3.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router-fw-lb-servernet-4
	use				Networking service
	host_name			wassp102w, wassp103w, sdpcas100w, sdpcas101w
	check_command			check_alive_through_nsclient!10.6.55.2
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router-fw-lb-servernet-4
	use				Networking service
	host_name			wassp102w, wassp103w, sdpcas100w, sdpcas101w
	check_command			check_alive_through_nsclient!10.6.55.3
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-fw-lb-servernet-4
	use				Networking service
	host_name			wassp102w, wassp103w, sdpcas100w, sdpcas101w
	check_command			check_alive_through_nsclient!10.6.55.1
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router-fw-lb-servernet-5
	use				Networking service
	host_name			ais101l, iamprox100l, sdpprox100l, timeline101l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis202lb-router-fw-lb-servernet-5.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router-fw-lb-servernet-5
	use				Networking service
	host_name			ais101l, iamprox100l, sdpprox100l, timeline101l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis203lb-router-fw-lb-servernet-5.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-fw-lb-servernet-5
	use				Networking service
	host_name			ais101l, iamprox100l, sdpprox100l, timeline101l
	check_command			through_nrpe!$HOSTNAME$!check_ping!lb-prod-float-fw-lb-servernet-5.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router-fw-lb-servernet-6
	use				Networking service
	host_name			eisoid101l, sdpohs100l, sdpovd100l, sdpprox301l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis202lb-router-fw-lb-servernet-6.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router-fw-lb-servernet-6
	use				Networking service
	host_name			eisoid101l, sdpohs100l, sdpovd100l, sdpprox301l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis203lb-router-fw-lb-servernet-6.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-fw-lb-servernet-6
	use				Networking service
	host_name			eisoid101l, sdpohs100l, sdpovd100l, sdpprox301l
	check_command			through_nrpe!$HOSTNAME$!check_ping!lb-prod-float-fw-lb-servernet-6.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router1-lb-servernet-7
	use				Networking service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	check_command			check_alive_through_nsclient!10.6.60.130
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router1-lb-servernet-7
	use				Networking service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	check_command			check_alive_through_nsclient!10.6.60.131
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-1-lb-servernet-7
	use				Networking service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	check_command			check_alive_through_nsclient!10.6.60.129
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router1-lb-servernet-8
	use				Networking service
	host_name			csghub102w, csghub103w, csghub208w, csghub209w
	check_command			check_alive_through_nsclient!10.6.60.194
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router1-lb-servernet-8
	use				Networking service
	host_name			csghub102w, csghub103w, csghub208w, csghub209w
	check_command			check_alive_through_nsclient!10.6.60.195
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-1-lb-servernet-8
	use				Networking service
	host_name			csghub102w, csghub103w, csghub208w, csghub209w
	check_command			check_alive_through_nsclient!10.6.60.193
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router-fw-lb-servernet-9
	use				Networking service
	host_name			csgsmtp100l, csgsmtp202l, csgsmtp203l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis202lb-router-fw-lb-servernet-9.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router-fw-lb-servernet-9
	use				Networking service
	host_name			csgsmtp100l, csgsmtp202l, csgsmtp203l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis203lb-router-fw-lb-servernet-9.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-fw-lb-servernet-9
	use				Networking service
	host_name			csgsmtp100l, csgsmtp202l, csgsmtp203l
	check_command			through_nrpe!$HOSTNAME$!check_ping!lb-prod-float-fw-lb-servernet-9.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router-fw-lb-servernet-10
	use				Networking service
	host_name			sdpldap100l, sdpldap101l, sdpohs200l, sdpohs201l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis202lb-router-fw-lb-servernet-10.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router-fw-lb-servernet-10
	use				Networking service
	host_name			sdpldap100l, sdpldap101l, sdpohs200l, sdpohs201l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis203lb-router-fw-lb-servernet-10.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-fw-lb-servernet-10
	use				Networking service
	host_name			sdpldap100l, sdpldap101l, sdpohs200l, sdpohs201l
	check_command			through_nrpe!$HOSTNAME$!check_ping!lb-prod-float-fw-lb-servernet-10.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis202lb-router-fw-lb-servernet-11
	use				Networking service
	host_name			ais204l, eisess202l, eisess203l, eisess204l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis202lb-router-fw-lb-servernet-11.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_eis203lb-router-fw-lb-servernet-11
	use				Networking service
	host_name			ais204l, eisess202l, eisess203l, eisess204l
	check_command			through_nrpe!$HOSTNAME$!check_ping!eis203lb-router-fw-lb-servernet-11.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		nrpe_lb-prod-float-fw-lb-servernet-11
	use				Networking service
	host_name			ais204l, eisess202l, eisess203l, eisess204l
	check_command			through_nrpe!$HOSTNAME$!check_ping!lb-prod-float-fw-lb-servernet-11.Princeton.EDU 6,6% 10,10%
	notifications_enabled		0
}


define service {
	service_description		https
	use				Networking service
	hostgroup_name			SRA
	check_command			check_https
}


define service {
	service_description		snmp_unix_mysql_mem
	use				Networking service
	host_name			ims204
	check_command			check_snmp_process_mem!mysql!2000,3000
}


#define service {
#	service_description		snmp_unix_mysql_cpu
#	use				Networking service
#	host_name			ims204
#	check_command			check_snmp_process_cpu!mysql!40,50!-w 0,2 -c 0
#}


define service {
	service_description		HTTP
	use				Networking service
	host_name			ims204
	check_command			check_http_port!3!5!80
}


define service {
	service_description		MySQL
	use				Networking service
	host_name			ims204
	check_command			check_mysql!notify!notify!mysql87p! -H $HOSTALIAS$
}


#define service {
#	service_description		nrpe_unix_nagios
#	use				Networking service
#	hostgroup_name			Monitoring Masters
#	check_command			check_nrpe_nagios
#}


define service {
	service_description		Naemon
	use				Networking service
	host_name			ims204, ims205
	max_check_attempts		1
	is_volatile			1
	active_checks_enabled		0
	process_perf_data		0
	flap_detection_enabled		0
	check_command			check-dummy!0!"OK - Waiting for checks..."
	contacts			Igor V. Gubenko
}


define service {
	service_description		snmp_unix_process_snmptrapd
	use				Networking service
	host_name			ims204
	check_freshness			1
	check_command			check_snmp_process!/usr/sbin/snmptrapd!0,2!0
}


define service {
	service_description		tcp_nsca
	use				Networking service
	host_name			ims204
	check_command			check_tcp_nsca
}


define service {
	service_description		snmp_unix_process_mysqld
	use				Networking service
	host_name			ims204
	check_command			check_snmp_process!/usr/libexec/mysqld!0,20!0
}


define service {
	service_description		snmp_unix_process_mysqld_safe
	use				Networking service
	host_name			ims204
	check_command			check_snmp_process!/usr/bin/mysqld_safe!0,2!0
}


define service {
	service_description		Naemon Latency
	use				Networking service
	host_name			ims204, ims205
	check_command			check_nagios_latency
}


define service {
	service_description		telnet
	use				Networking service
	#hostgroup_name			OIT Wireless Access Points - Cisco
	hostgroup_name			OIT Cisco WAP
	check_command			check_tcp!23
}

define service {
	service_description		SSH
	use				Networking service
	hostgroup_name			Airwave, Backup VPN, Network ESX
	host_name			eisnet200l
	check_command			check_ssh
	contacts			Networking
}

define service {
	service_description		snmp_unix_alive
	use				Networking service
	hostgroup_name			Airwave, Arbor TMS
	host_name			netbmfctrl1, netbmfctrl2
	check_command			check_snmp_alive-new!'$USER28$'
	contacts			Networking
}

define service {
	service_description		snmp_unix_alive
	use				Networking service
	host_name		 	eisnet-sra-n1.remote	
	check_command			check_snmp_alive-new!'$USER28$'
	contacts			John Shorey
}

define service {
	service_description		snmp_unix_load
	use				Networking service
	host_name			airwave1
	check_command			check_snmp_load-new!'$USER28$'!28,28,28!29,29,29! -T netsl
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contacts			Networking
}

define service {
	service_description		snmp_unix_load
	use				Networking service
	host_name			airwave-development, airwave-rap, netbmfctrl1, netbmfctrl2
	check_command			check_snmp_load-new!'$USER28$'!2,2,2!3.5,3.5,3.5! -T netsl
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contacts			Networking
}

define service {
	service_description		snmp_unix_load
	use				Networking service
	host_name			airwave2
	check_command			check_snmp_load-new!'$USER28$'!10,10,10!11,11,11! -T netsl
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contacts			Networking
}

define service {
	service_description		snmp_unix_mem
	use				Networking service
	hostgroup_name			Airwave
	host_name			netbmfctrl1, netbmfctrl2, !airwave-development, !airwave-rap
	check_command			check_snmp_nix_memory-new!'$USER28$'!90,40!95,70
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contacts			Networking
}

define service {
	service_description		snmp_unix_mem
	use				Networking service
	host_name			airwave-development
	check_command			check_snmp_nix_memory-new!'$USER28$'!90,80!95,90
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	notification_period		9x5
	contacts			Networking
}

define service {
	service_description		snmp_unix_mem
	use				Networking service
	host_name			airwave-rap
	check_command			check_snmp_nix_memory-new!'$USER28$'!90,80!95,90
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contacts			Networking
}

define service {
	service_description		snmp_unix_disk
	use				Networking service
	hostgroup_name			Airwave
	host_name			netbmfctrl1, netbmfctrl2, !airwave1, sightline-NS
	check_command			check_snmp_disk-new!'$USER28$'!^.*$!80!90
	contacts			Networking
}

define service {
	service_description		snmp_unix_disk
	use				Networking service
	host_name			airwave1
	check_command			check_snmp_disk-new!'$USER28$'!^.*$!92!95
	contacts			Networking
}

define service {
	service_description		snmp_unix_interface
	use				Networking service
	hostgroup_name			Airwave, Arbor TMS
	check_command			check_snmp_int!'$USER28$'!eth0!10,10!20,20
	contacts			Networking
}

define service {
	service_description		snmp_unix_interface
	use				Networking service
	hostgroup_name			F5 Load Balancer MPs
	check_command			check_snmp_int!'$USER7$'!'mgmt|\/RD|1\.1|2\.1|[345]\.[1234]'!10,10!20,20
	contacts			Hajar Pager, Networking
}

#define service {
#	service_description		DNS
#	use				Networking service
#	host_name			alfrente, capserver, four11, oznot
#	check_command			check_dns_expect!www.net.princeton.edu!128.112.128.55! -w 6 -c 8
#	contact_groups			Networking Pager
#}


define service {
	service_description		DNS
	use				Networking service
	hostgroup_name			InfoBlox DNS
	check_command			check_dns_expect!www.net.princeton.edu!128.112.128.55! -w 6 -c 8
	contacts			Networking
}

#define service {
#	service_description		DNS
#	use				Networking service
#	host_name			eyeinthesky, heymon
#	check_command			check_dns_expect!localhost.princeton.edu!127.0.0.1! -w 6 -c 8
#}


define service {
	service_description		DNS_auth1_dns_cogentco
	use				Networking service
	host_name			monitor
	check_command			check_dns_generic!www.net.princeton.edu!128.112.128.55! -s auth1.dns.cogentco.com
}

define service {
	service_description		DNS_auth2_dns_cogentco
	use				Networking service
	host_name			monitor
	check_command			check_dns_generic!www.net.princeton.edu!128.112.128.55! -s auth2.dns.cogentco.com
}

define service {
	service_description		DNS_a1-158_akam_net
	use				Networking service
	host_name			monitor
	check_command			check_dns_generic!www.net.princeton.edu!128.112.128.55! -s a1-158.akam.net
}

define service {
	service_description		DNS_a20-65_akam_net
	use				Networking service
	host_name			monitor
	check_command			check_dns_generic!www.net.princeton.edu!128.112.128.55! -s a20-65.akam.net
}

define service {
	service_description		DNS_a24-66_akam_net
	use				Networking service
	host_name			monitor
	check_command			check_dns_generic!www.net.princeton.edu!128.112.128.55! -s a24-66.akam.net
}

define service {
	service_description		DNS_a3-67_akam_net
	use				Networking service
	host_name			monitor
	check_command			check_dns_generic!www.net.princeton.edu!128.112.128.55! -s a3-67.akam.net
}

define service {
	service_description		DNS_a6-64_akam_net
	use				Networking service
	host_name			monitor
	check_command			check_dns_generic!www.net.princeton.edu!128.112.128.55! -s a6-64.akam.net
}

define service {
	service_description		DNS_a7-65_akam_net
	use				Networking service
	host_name			monitor
	check_command			check_dns_generic!www.net.princeton.edu!128.112.128.55! -s a7-65.akam.net
}

define service {
	service_description		NTPq
	use				Networking service
	hostgroup_name			Network NTP
	check_command			check_ntp_peer!1!2
}

define service {
	service_description		NTP
	use				Networking service
	hostgroup_name			Network NTP
	check_command			check_ntp_time!1!2
}

define service {
	service_description		SMTP
	use				Networking service
	host_name			heymon
	check_command			check_smtp!6!8
	contact_groups			Networking Pager
}

define service {
	service_description		Comcast
	use				Networking service
	host_name			backupvpn
	check_command			check_by_ssh_using_preloaded_key!!ping \-V1 \-q \-c4 173.161.173.150
	contacts			Networking
}

define service {
	service_description		Google through Comcast
	use				Networking service
	host_name			backupvpn
	check_command			check_by_ssh_using_preloaded_key!!nc \-V1 google.com 80 <<< "GET /" >/dev/null
	contacts			Networking
}

define servicedependency {
	dependent_host_name		backupvpn
	dependent_service_description	Comcast
	host_name			backupvpn
	service_description		Google through Comcast
	notification_failure_criteria	c
}

define service {
	service_description		Verizon
	use				Networking service
	host_name			backupvpn
	check_command			check_by_ssh_using_preloaded_key!!ping \-V2 \-q \-c4 71.169.84.106
	contacts			Networking
}

define service {
	service_description		Yahoo through Verizon
	use				Networking service
	host_name			backupvpn
	check_command			check_by_ssh_using_preloaded_key!!nc \-V2 yahoo.com 80 <<< "GET /" >/dev/null
	contacts			Networking
}

define servicedependency {
	dependent_host_name		backupvpn
	dependent_service_description	Verizon
	host_name			backupvpn
	service_description		Yahoo through Verizon
	notification_failure_criteria	c
}


define service {
	service_description		trap
	use				SNMP trap
	hostgroup_name			F5 Production Load Balancer MPs
	contacts			Hajar Niroomand
}

define service {
	use 				Networking service
	host_name			eisfw
	service_description		Ping-fw-servernet-1
	check_command			check-host-alive-fw-servernet-1
	contacts			epm-list, ESS UNIX List, ESS Windows List
}

define service {
	use 				Networking service
	host_name			eisfw
	service_description		Ping-fw-servernet-2
	check_command			check-host-alive-fw-servernet-2
	contacts			epm-list, ESS UNIX List, ESS Windows List
}

define service {
	use 				Networking service
	host_name			eisfw
	service_description		Ping-fw-servernet-3
	check_command			check-host-alive-fw-servernet-3
	contacts			epm-list, ESS UNIX List, ESS Windows List
}

define service {
	use 				Networking service
	host_name			eisfw
	service_description		Ping-fw-servernet-4
	check_command			check-host-alive-fw-servernet-4
	contacts			epm-list, ESS UNIX List, ESS Windows List
}

define service {
	use 				Networking service
	host_name			eisfw
	service_description		Ping-fw-servernet-6
	check_command			check-host-alive-fw-servernet-6
	contacts			epm-list, ESS UNIX List, ESS Windows List
}

define service {
	use 				Networking service
	host_name			eisfw
	service_description		Ping-fw-servernet-7
	check_command			check-host-alive-fw-servernet-7
	contacts			epm-list, ESS UNIX List, ESS Windows List
}

define service {
	use 				Networking service
	host_name			eisfw
	service_description		Ping-fw-servernet-10
	check_command			check-host-alive-fw-servernet-10
	contacts			epm-list, ESS UNIX List, ESS Windows List
}

define service {
	use 				Networking service
	host_name			eisfw
	service_description		Ping-fw-servernet-11
	check_command			check-host-alive-fw-servernet-11
	contacts			epm-list, ESS UNIX List, ESS Windows List
}

define service {
	use 				Networking service
	host_name			eisfw
	service_description		Ping-eisfw-plinknet8
	check_command			check-host-alive-eisfw-plinknet8
	contacts			epm-list, ESS UNIX List, ESS Windows List
}

